// A module featuring a title and associated content.


spacing_factor = 0.75
titled_content__responsive_spacing__min = spacing_factor * section_board__padding_top__min
titled_content__responsive_spacing__max = spacing_factor * section_board__padding_top__max


.titled-content

    // flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch


    &__title

        heading()

        // flex item
        flex-grow 0
        flex-shrink 0

        // distance
        margin-top 10px
        margin-bottom 15px

        // flex container
        display flex
        flex-direction row
        flex-wrap nowrap
        justify-content flex-start
        align-items baseline


        &:first-child

            margin-top 0


        ^[0]--responsive-spacing &

            page_manager__responsive_property(
                margin-bottom,
                titled_content__responsive_spacing__min, titled_content__responsive_spacing__max,
            )


    &__title-text

        heading()

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // text
        text-transform lowercase

        // color
        color inherit


    &__title-line

        heading()

        // flex item
        flex-basis 100%
        flex-grow 1
        flex-shrink 1

        // color
        color inherit

        // adjustments
        margin-left 0.2em
        overflow hidden


        &::after

            content "—————————————————————————————————————————————————————————————————————"
            letter-spacing -0.2em
            position relative
            bottom 0.04em


    &__content

        // flex item
        flex-grow 0
        flex-shrink 0
